@ECHO OFF
CLS
@ECHO Pterodactyl Disassembling Thingy
@ECHO --------------------------------
SETLOCAL
SET didCD=0
IF X%1==X GOTO Help
IF X%2==X GOTO Help
IF X%3==X GOTO Help
IF X%4==X GOTO Help
IF NOT EXIST %1 GOTO NoDirectory
IF NOT EXIST %1\NUL GOTO Help
@ECHO Deleting existing %1 directory...
DEL /Q /F %1\*.*
RMDIR %1
:NoDirectory
MKDIR %1
cd %1
SET didCD=1

COPY ..\%1.8xu %1.8xu
COPY ..\equates.inc equates.inc
COPY ..\RAM.txt RAM.txt
..\Pterodactyl.exe 8xu2rom %1.8xu %1.rom
..\Pterodactyl.exe extract %1.rom 00000 4000 page00.bin
..\Pterodactyl.exe extract %1.rom 04000 4000 page01.bin
..\Pterodactyl.exe extract %1.rom 08000 4000 page02.bin
..\Pterodactyl.exe extract %1.rom 0C000 4000 page03.bin
..\Pterodactyl.exe extract %1.rom 10000 4000 page04.bin
..\Pterodactyl.exe extract %1.rom 14000 4000 page05.bin
..\Pterodactyl.exe extract %1.rom 18000 4000 page06.bin
..\Pterodactyl.exe extract %1.rom 1C000 4000 page07.bin
..\Pterodactyl.exe extract %1.rom 40000 4000 page10.bin
..\Pterodactyl.exe extract %1.rom 44000 4000 page11.bin
..\Pterodactyl.exe extract %1.rom 48000 4000 page12.bin
..\Pterodactyl.exe extract %1.rom 4C000 4000 page13.bin
..\Pterodactyl.exe extract %1.rom 50000 4000 page14.bin
..\Pterodactyl.exe extract %1.rom 54000 4000 page15.bin
..\Pterodactyl.exe extract %1.rom 58000 4000 page16.bin
..\Pterodactyl.exe extract %1.rom 5C000 4000 page17.bin
..\Pterodactyl.exe extract %1.rom 60000 4000 page18.bin
..\Pterodactyl.exe extract %1.rom 64000 4000 page19.bin
..\Pterodactyl.exe extract %1.rom 68000 4000 page1A.bin
..\Pterodactyl.exe extract %1.rom 6C000 4000 page1B.bin
..\Pterodactyl.exe extract %1.rom 70000 4000 page1C.bin
..\Pterodactyl.exe extract %1.rom 74000 4000 page1D.bin

..\Pterodactyl.exe eplocs page1B.bin 4000 %2 4000 equates.inc ep_1B.txt
..\Pterodactyl.exe eplocs0 page00.bin %3 %4 %3 ep_1B.txt ep_00.txt

..\Pterodactyl.exe makeequ ep_1B.txt 00 loc_00.txt
..\Pterodactyl.exe makeequ ep_1B.txt 01 loc_01.txt
..\Pterodactyl.exe makeequ ep_1B.txt 02 loc_02.txt
..\Pterodactyl.exe makeequ ep_1B.txt 03 loc_03.txt
..\Pterodactyl.exe makeequ ep_1B.txt 04 loc_04.txt
..\Pterodactyl.exe makeequ ep_1B.txt 05 loc_05.txt
..\Pterodactyl.exe makeequ ep_1B.txt 06 loc_06.txt
..\Pterodactyl.exe makeequ ep_1B.txt 07 loc_07.txt
..\Pterodactyl.exe makeequ ep_1B.txt 70 loc_70.txt
..\Pterodactyl.exe makeequ ep_1B.txt 71 loc_71.txt
..\Pterodactyl.exe makeequ ep_1B.txt 72 loc_72.txt
..\Pterodactyl.exe makeequ ep_1B.txt 73 loc_73.txt
..\Pterodactyl.exe makeequ ep_1B.txt 74 loc_74.txt
..\Pterodactyl.exe makeequ ep_1B.txt 75 loc_75.txt
..\Pterodactyl.exe makeequ ep_1B.txt 76 loc_76.txt
..\Pterodactyl.exe makeequ ep_1B.txt 77 loc_77.txt
..\Pterodactyl.exe makeequ ep_1B.txt 78 loc_78.txt
..\Pterodactyl.exe makeequ ep_1B.txt 79 loc_79.txt
..\Pterodactyl.exe makeequ ep_1B.txt 7A loc_7A.txt
..\Pterodactyl.exe makeequ ep_1B.txt 7B loc_7B.txt
..\Pterodactyl.exe makeequ ep_1B.txt 7C loc_7C.txt
..\Pterodactyl.exe makeequ ep_1B.txt 7D loc_7D.txt

COPY ep_00.txt+loc_00.txt+RAM.txt idc_00.txt
COPY ep_00.txt+loc_01.txt+RAM.txt idc_01.txt
COPY ep_00.txt+loc_02.txt+RAM.txt idc_02.txt
COPY ep_00.txt+loc_03.txt+RAM.txt idc_03.txt
COPY ep_00.txt+loc_04.txt+RAM.txt idc_04.txt
COPY ep_00.txt+loc_05.txt+RAM.txt idc_05.txt
COPY ep_00.txt+loc_06.txt+RAM.txt idc_06.txt
COPY ep_00.txt+loc_07.txt+RAM.txt idc_07.txt
COPY ep_00.txt+loc_70.txt+RAM.txt idc_70.txt
COPY ep_00.txt+loc_71.txt+RAM.txt idc_71.txt
COPY ep_00.txt+loc_72.txt+RAM.txt idc_72.txt
COPY ep_00.txt+loc_73.txt+RAM.txt idc_73.txt
COPY ep_00.txt+loc_74.txt+RAM.txt idc_74.txt
COPY ep_00.txt+loc_75.txt+RAM.txt idc_75.txt
COPY ep_00.txt+loc_76.txt+RAM.txt idc_76.txt
COPY ep_00.txt+loc_77.txt+RAM.txt idc_77.txt
COPY ep_00.txt+loc_78.txt+RAM.txt idc_78.txt
COPY ep_00.txt+loc_79.txt+RAM.txt idc_79.txt
COPY ep_00.txt+loc_7A.txt+RAM.txt idc_7A.txt
COPY ep_00.txt+loc_7B.txt+RAM.txt idc_7B.txt
COPY ep_00.txt+loc_7C.txt+RAM.txt idc_7C.txt
COPY ep_00.txt+loc_7D.txt+RAM.txt idc_7D.txt

..\Pterodactyl.exe idcscript idc_00.txt page00.idc
..\Pterodactyl.exe idcscript idc_01.txt page01.idc
..\Pterodactyl.exe idcscript idc_02.txt page02.idc
..\Pterodactyl.exe idcscript idc_03.txt page03.idc
..\Pterodactyl.exe idcscript idc_04.txt page04.idc
..\Pterodactyl.exe idcscript idc_05.txt page05.idc
..\Pterodactyl.exe idcscript idc_06.txt page06.idc
..\Pterodactyl.exe idcscript idc_07.txt page07.idc
..\Pterodactyl.exe idcscript idc_70.txt page70.idc
..\Pterodactyl.exe idcscript idc_71.txt page71.idc
..\Pterodactyl.exe idcscript idc_72.txt page72.idc
..\Pterodactyl.exe idcscript idc_73.txt page73.idc
..\Pterodactyl.exe idcscript idc_74.txt page74.idc
..\Pterodactyl.exe idcscript idc_75.txt page75.idc
..\Pterodactyl.exe idcscript idc_76.txt page76.idc
..\Pterodactyl.exe idcscript idc_77.txt page77.idc
..\Pterodactyl.exe idcscript idc_78.txt page78.idc
..\Pterodactyl.exe idcscript idc_79.txt page79.idc
..\Pterodactyl.exe idcscript idc_7A.txt page7A.idc
..\Pterodactyl.exe idcscript idc_7B.txt page7B.idc
..\Pterodactyl.exe idcscript idc_7C.txt page7C.idc
..\Pterodactyl.exe idcscript idc_7D.txt page7D.idc

GOTO Exit
:Help
@ECHO Usage: make [file name of 8XU WITHOUT extension]
@ECHO             [end of BCALL jump table (ex. 532A)]
@ECHO             [start of page 0 jump table (ex. 2B6B)]
@ECHO             [end of page 0 jump table (ex. 3FE7)]
@ECHO ---------------------------------------------------
@ECHO This will produce a series of IDC scripts for each
@ECHO   OS page (00-7D) for use in IDA Pro.
:Exit
IF didCD==1 CD ..
ENDLOCAL
