﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Pterodactyl
{
    public class CommandException : Exception
    {
        #region Declarations

        private string _command;

        #endregion

        #region Constructors/Teardown

        public CommandException(string message)
            : base(message)
        {
        }

        public CommandException(string command, string message)
            : base(message)
        {
            _command = command;
        }

        #endregion

        #region Public Properties

        public string Command
        {
            get
            {
                return _command;
            }
        }

        #endregion
    }
}
